Compatibility

For any ed2go course, you will need Internet access, a non-shared e-mail address, any web browser like Mozilla Firefox or Google Chrome, and the latest Adobe Flash and PDF plug-ins. Visit http://www.adobe.com/downloads and click Get Adobe Flash Player and Get Adobe Reader to download these free plug-ins.

Most of our courses are Macintosh compatible. If a course is not Macintosh compatible, this information will be stated on the course's Requirements tab when you view the course details.

 Close Nav

Forgot Password?